Generation Framework

## org.eclipse.gmf.mappings
Interface ValueExpression

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  Constraint, FeatureValueSpec

All Known Implementing Classes:
  ConstraintImpl, FeatureValueSpecImpl, ValueExpressionImpl

    public interface ValueExpression

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Value Expression'. Expression as a textual statement which results in a value when evaluated in a context

The following features are supported:

- `Body`
- `Language`
- `Lang Name`

See Also:
  `GMFMapPackage.getValueExpression()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='ValueSpec'"

Method Summary
`java.lang.String` `getBody()` Returns the value of the 'Body' attribute
`java.lang.String` `getLangName()` Returns the value of the 'Lang Name' attribute
`Language` `getLanguage()` Returns the value of the 'Language' attribute.
`void` `setBody(java.lang.String value)` Sets the value of the '`Body`' attribute
`void` `setLanguage(Language value)` Sets the value of the '`Language`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getBody

    java.lang.String getBody()

  Returns the value of the 'Body' attribute. The text of the expression

  Returns:
    the value of the 'Body' attribute.
  See Also:
    `setBody(String)`, `GMFMapPackage.getValueExpression_Body()`
  ** Generated **
  Model:
    required="true" annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='body'"

### setBody

    void setBody(java.lang.String value)

  Sets the value of the '`Body`' attribute.

  Parameters:
    `value` - the new value of the 'Body' attribute.
  See Also:
    `getBody()`
  ** Generated **

### getLanguage

    Language getLanguage()

  Returns the value of the 'Language' attribute. The default value is `"ocl"`. The literals are from the enumeration `Language`. Specifies the language in which the expression is stated

  Returns:
    the value of the 'Language' attribute.
  See Also:
    `Language`, `setLanguage(Language)`, `GMFMapPackage.getValueExpression_Language()`
  ** Generated **
  Model:
    default="ocl" required="true"

### setLanguage

    void setLanguage(Language value)

  Sets the value of the '`Language`' attribute.

  Parameters:
    `value` - the new value of the 'Language' attribute.
  See Also:
    `Language`, `getLanguage()`
  ** Generated **

### getLangName

    java.lang.String getLangName()

  Returns the value of the 'Lang Name' attribute.

  If the meaning of the 'Lang Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Lang Name' attribute.
  See Also:
    `GMFMapPackage.getValueExpression_LangName()`
  ** Generated **
  Model:
    transient="true" changeable="false" volatile="true" derived="true" annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='lang'"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.